#!/usr/bin/bash
echo "update logging configuration..."
sudo sh -c "echo '*.info;mail.none;authpriv.none;cron.none /dev/ttyS0' >> /etc/rsyslog.conf"
sudo systemctl restart rsyslog

echo logged in as $USER.
echo in directory $PWD

echo "installing MariaDB..."
# sudo yum install mysql -y
sudo dnf install mariadb-server -y
sudo systemctl start mariadb
sudo systemctl status mariadb
sudo systemctl enable mariadb


echo "creating mysql_secure_installation.txt..."
touch mysql_secure_installation.txt
cat << `EOF` >> mysql_secure_installation.txt

n
Y
comsc
comsc
Y
Y
Y
Y
Y
`EOF`

echo "running mysql_secure_installation..."
sudo mysql_secure_installation < mysql_secure_installation.txt

echo "Disabling firewall..."
sudo systemctl stop firewalld.service
sudo systemctl disable firewalld.service

sudo dnf install git -y
sudo dnf update openssh-server openssh-client -y

echo "needs to be in root account"
cd root

touch .ssh/known_hosts
ssh-keyscan git.cardiff.ac.uk >> .ssh/known_hosts
chmod 644 .ssh/known_hosts

echo "now needs to be in rocky user directory"
cd /home/rocky

cat << `EOF` >> gitlab_project_keypair.key
-----BEGIN OPENSSH PRIVATE KEY-----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=
-----END OPENSSH PRIVATE KEY-----
`EOF`
chmod 400 gitlab_project_keypair.key

ssh-agent bash -c 'ssh-add gitlab_project_keypair.key; git clone --branch cmy git@git.cardiff.ac.uk:c24025433/healthcare.git'

cd healthcare

mysql -uroot -pcomsc < src/main/resources/healthcare.sql

sudo yum install java-17-openjdk -y

sudo yum install wget -y
wget https://services.gradle.org/distributions/gradle-7.6-bin.zip

sudo yum install unzip -y
sudo mkdir -p /opt/gradle
sudo unzip gradle-7.6-bin.zip -d /opt/gradle

echo 'export PATH=$PATH:/opt/gradle/gradle-7.6/bin' >> ~/.bashrc
source ~/.bashrc


gradle build
gradle bootrun