package com.cardiff.cmyTest;

import com.cardiff.client_project.controller.admin.CommonAdminHospitalController;
import com.cardiff.client_project.service.CommonAdminHospitalService;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.autoconfigure.web.servlet.WebMvcTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.http.MediaType;
import org.springframework.test.context.junit.jupiter.SpringExtension;
import org.springframework.test.web.servlet.MockMvc;

import java.util.Collections;

import static org.mockito.Mockito.when;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

@ExtendWith(SpringExtension.class)
@WebMvcTest(CommonAdminHospitalController.class)
@AutoConfigureMockMvc(addFilters = false)
public class LightweightTest {

    @Autowired
    private MockMvc mockMvc;

    @MockBean
    private CommonAdminHospitalService hospitalService;

    @Autowired
    private ObjectMapper objectMapper;

    @Test
    void testGetAllHospitals() throws Exception {
        when(hospitalService.getAllHospitals()).thenReturn(Collections.emptyList());

        mockMvc.perform(get("/commonAdmin/hospital/all"))
                .andExpect(status().isOk())
                .andExpect(content().contentTypeCompatibleWith(MediaType.APPLICATION_JSON));
    }
}
