package com.cardiff.cmyTest;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

@SpringBootTest
@AutoConfigureMockMvc(addFilters = false)
public class PaginationFunctionalityMockMVCTest {

    @Autowired
    private MockMvc mockMvc;

    @Test
    public void testHospitalPaginationEndpointReturnsCorrectStructure() throws Exception {
        mockMvc.perform(get("/commonAdmin/hospital/listPage")
                        .param("page", "1")
                        .param("pageSize", "5")
                        .accept(MediaType.APPLICATION_JSON))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value(200))
                .andExpect(jsonPath("$.data.records").exists())
                .andExpect(jsonPath("$.data.total").exists());
    }
}
